import { o as t, x as e, y as a } from "./index-597e6e44.mjs";
import "vue";
const m = {
  key: "_html",
  name: t("_.builtIn.basic.html.name"),
  description: t("_.builtIn.basic.html.description"),
  icon: "mdiLanguageHtml5",
  sequence: 1,
  transform: function({ config: i }) {
    return {
      "~": i.wrapBy || "div",
      "#": i.html || ""
    };
  },
  editor: {
    basic: {
      init: {
        wrapBy: "div",
        html: "HTML  here"
      },
      ui: [
        e("wrapBy", ["div", "span"], t("_.builtIn.basic.html.wrapBy")),
        a("html", t("_.builtIn.basic.html.html"), {
          "~description": t("_.builtIn.basic.html.html_description"),
          type: "textarea",
          rows: 6
        })
      ]
    },
    doisplay: {
      init: {
        style: {
          "min-height": "10px",
          "min-width": "10px"
        }
      }
    }
  }
  // dataConfig:{
  //   //readonly:true,
  //   type:'String',
  // },
};
export {
  m as default
};
